Skip to main content
GET
ListFamilyAlignmentPoints

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

familyAlignmentId
string
required

Provide family_alignment_id to identify the family to list alignments points.

Query Parameters

pageSize
integer<int64>

The maximum number of family version alignment points to return. The service may return fewer than this value, even if there are additional pages. If unspecified, the limit defaults to 200. The maximum value is 1000.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are: family_run_id, and for the associated Run: name, description, start_time, end_time, duration. Note: name, description, start_time, end_time, and duration are filters on the associated run. For further information about how to use CELs, please refer to this guide.

pageToken
string

A page token, received from a previous ListFamilyAlignmentPoints call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListFamilyAlignmentPoints must match the call that provided the page token.

Response

A successful response.

familyAlignmentPoints
object[]
required
nextPageToken
string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.